Bug 172166 - Consider not exposing webkitURL in workers
Summary: Consider not exposing webkitURL in workers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-16 05:49 PDT by Anne van Kesteren
Modified: 2017-05-19 19:30 PDT (History)
10 users (show)

See Also:


Attachments
WIP Patch (733 bytes, patch)
2017-05-19 16:41 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-elcapitan (986.31 KB, application/zip)
2017-05-19 17:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-elcapitan-wk2 (1.06 MB, application/zip)
2017-05-19 17:51 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-elcapitan (1.84 MB, application/zip)
2017-05-19 17:53 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (931.63 KB, application/zip)
2017-05-19 18:12 PDT, Build Bot
no flags Details
Patch (3.77 KB, patch)
2017-05-19 18:17 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anne van Kesteren 2017-05-16 05:49:48 PDT
Per https://github.com/heycam/webidl/issues/362 Chrome does not do that either.
Comment 1 Simon Pieters 2017-05-18 04:46:55 PDT
In Chromium this is effectively a [LegacyWindowAlias] for URL.
Comment 2 Chris Dumez 2017-05-19 16:41:40 PDT
Created attachment 310723 [details]
WIP Patch
Comment 3 Build Bot 2017-05-19 17:51:38 PDT
Comment on attachment 310723 [details]
WIP Patch

Attachment 310723 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/3779999

New failing tests:
js/dom/global-constructors-attributes-dedicated-worker.html
Comment 4 Build Bot 2017-05-19 17:51:39 PDT
Created attachment 310736 [details]
Archive of layout-test-results from ews102 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 5 Build Bot 2017-05-19 17:51:52 PDT
Comment on attachment 310723 [details]
WIP Patch

Attachment 310723 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/3779983

New failing tests:
js/dom/global-constructors-attributes-dedicated-worker.html
Comment 6 Build Bot 2017-05-19 17:51:54 PDT
Created attachment 310737 [details]
Archive of layout-test-results from ews104 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 7 Build Bot 2017-05-19 17:53:02 PDT
Comment on attachment 310723 [details]
WIP Patch

Attachment 310723 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/3779935

New failing tests:
js/dom/global-constructors-attributes-dedicated-worker.html
Comment 8 Build Bot 2017-05-19 17:53:03 PDT
Created attachment 310738 [details]
Archive of layout-test-results from ews116 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 9 Build Bot 2017-05-19 18:12:54 PDT
Comment on attachment 310723 [details]
WIP Patch

Attachment 310723 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3780025

New failing tests:
js/dom/global-constructors-attributes-dedicated-worker.html
Comment 10 Build Bot 2017-05-19 18:12:56 PDT
Created attachment 310741 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 11 Chris Dumez 2017-05-19 18:17:42 PDT
Created attachment 310742 [details]
Patch
Comment 12 Geoffrey Garen 2017-05-19 19:01:47 PDT
Comment on attachment 310742 [details]
Patch

r=me
Comment 13 WebKit Commit Bot 2017-05-19 19:30:31 PDT
Comment on attachment 310742 [details]
Patch

Clearing flags on attachment: 310742

Committed r217181: <http://trac.webkit.org/changeset/217181>
Comment 14 WebKit Commit Bot 2017-05-19 19:30:33 PDT
All reviewed patches have been landed.  Closing bug.